Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.aglets.tahiti
Class CacheManager

    java.lang.Object
      |
      +--com.ibm.aglets.tahiti.CacheManager

public class CacheManager
extends java.lang.Object

Constructor Summary
`CacheManager()`
`CacheManager(java.lang.String dir, long size)`

Method Summary
`static CacheManager` | `getCacheManager()`
`byte[]` | `getData(java.lang.String name)`
`byte[]` | `getData(java.lang.String name, long version)`
`void` | `putData(java.lang.String name, long version, byte[] data)`
`void` | `putData(java.lang.String name, long version, byte[] data, boolean refCount)`
`void` | `releaseData(java.lang.String name, long version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CacheManager

    public CacheManager()
                 throws java.io.IOException

### CacheManager

    public CacheManager(java.lang.String dir,
                        long size)

Method Detail

### getCacheManager

    public static CacheManager getCacheManager()

### getData

    public byte[] getData(java.lang.String name)

### getData

    public byte[] getData(java.lang.String name,
                          long version)

### putData

    public void putData(java.lang.String name,
                        long version,
                        byte[] data)

### putData

    public void putData(java.lang.String name,
                        long version,
                        byte[] data,
                        boolean refCount)

### releaseData

    public void releaseData(java.lang.String name,
                            long version)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD